[aliases]
n0=;################По писде получиш, если чонить поменяеш.#########################
n1=/d dialog -nm type type
n2=/i /ip_whois $$1
n3=/F1 /about
n4=/j /join #$$1 $2-
n5=/p /part #
n6=/n /names #$$1
n7=/w /whois $$1
n8=/k /kick # $$1 $2-
n9=/q /query $$1
n10=/send /dcc send $1 $2
n11=/chat /dcc chat $1
n12=/ping /ctcp $$1 ping
n13=/s /server $$1-
n14=/f4 /chanserv op $chan $1
n15=statistic {
n16=  echo -s K22 Script version 2.0:
n17=  echo -s 9Copyright © K22 Team
n18=  echo -s 9Web: www.k22.ru
n19=  echo -s 9Forum: www.forum.k22.ru
n20=  echo -s 9IRC: K22 Network 
n21=  echo -s 8Help: /server k22.msk.ru -j #help
n22=  echo -s 10Статистика:
n23=  echo -s 10Кикнули %k раз
n24=  echo -s 10Пробубнили %total.words слов и %total.letters знаков
n25=  echo -s 10Максимальный аптайм  $duration(%max.uptime)
n26=  echo -s 10Включили K22 mIRC Script 2.0 %numberstart раз
n27=  inc %numberstart
n28=  if ( %numberstart == 0 ) { .identd on 0x $+ $base($rand(1048576,16777215),10,16) }
n29=  if ( %script.update == yes ) {
n30=    writeini -n mirc.ini colors n3 K22 Team,1,0,4,5,3,3,3,11,4,3,3,15,14,7,6,0,12,14,12,5,15,1,0,1,0,15,6,1
n31=    writeini -n mirc.ini text quit << K22 Script 2.0 - WWW.K22.RU - irc.k22.ru - #k22.ru>>
n32=    writeini -n $mircdirfiles/options.ini ctcp Version K22 Script 2.0 [www.k22.ru]
n33=    writeini -n $mircdirfiles/options.ini "flood protect" Notice/Dcc Notice/Dcc Flood,6,10,30
n34=    remini $mircdirfiles/options.ini "flood protect" notice
n35=    writeini -n $mircdirfiles/options.ini away mode manual
n36=    writeini -n $mircdirfiles/options.ini away IdleDelay 1
n37=    writeini -n $mircdirfiles/options.ini away Nick Add
n38=    writeini -n $mircdirfiles/options.ini away Action yes
n39=    writeini -n $mircdirfiles/options.ini away NickValue _away
n40=    .remove magusirc.dll
n41=    echo -a 10***Апдейт завершён | set %script.update no
n42=    .save -rv remote.ini
n43=  }
n44=}
n45=
n46=F9 editbox -a $replacecs($editbox($active),.,ю,$chr(44),б,q,й,w,ц,e,у,r,к,t,е,y,н,u,г,i,ш,o,щ,p,з,[,х,],ъ,a,ф,s,ы,d,в,f,а,g,п,h,р,j,о,k,л,l,д,;,ж,',э,z,я,x,ч,c,с,v,м,b,и,n,т,m,ь,.,ю,Q,Й,W,Ц,E,У,R,К,T,Е,Y,Н,U,Г,I,Ш,O,Щ,P,З,[,Х,A,Ф,S,Ы,D,В,F,А,G,П,H,Р,J,О,K,Л,L,Д,:,Ж,",Э,Z,Я,X,Ч,C,С,V,М,B,И,N,Т,<,Б,>,Ю,&,?,^,:,/,.,`,ё,$,;)
n47=F10 editbox -a $replacecs($editbox($active),.,/,?,&,:,^,б,$chr(44),й,q,ц,w,у,e,к,r,е,t,н,y,г,u,ш,i,щ,o,з,p,х,[,ъ,],ф,a,ы,s,в,d,а,f,п,g,р,h,о,j,л,k,д,l,ж,;,э,',я,z,ч,x,с,c,м,v,и,b,т,n,ь,m,ю,.,Й,Q,Ц,W,У,E,К,R,Е,T,Н,Y,Г,U,Ш,I,Щ,O,З,P,Ф,A,Ы,S,В,D,А,F,П,G,Р,H,О,J,Л,K,Д,L,Ж,:,Э,",Я,Z,Ч,X,С,C,М,V,И,B,Т,N,Ь,M,Б,<,Ю,>)
n48=rus-tran { msg $active $replacecs($2-,й,j,ц,ts,у,u,к,k,е,e,н,n,г,g,ш,sh,щ,sh',з,z,х,h,ъ,',ф,f,ы,i,в,v,а,a,п,p,р,r,о,o,л,l,д,d,ж,zh,э,e,я,ja,ч,4,с,s,м,m,и,i,т,t,ь,',б,b,ю,y,Й,J,Ц,Ts,У,U,К,K,Е,E,Н,N,Г,G,Ш,Sh,Щ,Sh',З,Z,Х,H,Ф,F,Ы,I,В,V,А,A,П,P,Р,R,О,O,Л,L,Д,D,Ж,ZH,Э,E,Я,Ja,Ч,4,С,S,М,M,И,I,Т,T,Ь,',Б,B,Ю,Y) }
n49=tran-rus { msg $active $replacecs($2-,a,а,b,б,v,в,g,г,d,д,e,е,zh,ж,z,з,i,и,j,й,k,к,l,л,m,м,n,н,o,о,p,п,r,р,s,с,t,т,u,у,f,ф,h,х,ts,ц,4,ч,sh,ш,sh',щ,',ь,',ъ,i,ы,e,э,y,ю,ja,я,c,к,x,кс) }
n50=slap { 
n51=  if ( %randomslap == on ) { /describe $chan $replacecs($read(files\slaps.txt),НИК,%findnick) }
n52=  else { /describe $chan $replacecs(%myslap,НИК,%findnick) }
n53=}
n54=prikol { 
n55=  if ( %randomslap == on ) { /describe $chan $replacecs($read(files\prikol.txt),НИК,%findnick) }
n56=  else { /describe $chan $replacecs(%myslap,НИК,%findnick) }
n57=}
n58=sayto {
n59=  if ( %sayto-option == nick ) {
n60=    if ( $editbox($chan) == $null ) { editbox -pf $1 $+ %sayto }
n61=    else { editbox -f | query $1 }
n62=  }
n63=  else { query $1 }
n64=}
n65=
n66=readnicks {
n67=  if ( %identonconnect == on ) { did -c nickserv 16 }
n68=  if ( %identonchange == on ) { did -c nickserv 17 }
n69=  did -r nickserv 7
n70=  :listing
n71=  inc %currentnick 1
n72=  if ( $lines($mircdirfiles\nicks.ini) == 0 ) || ( %currentnick > $lines($mircdirfiles\nicks.ini) ) { unset %currentnick | halt }
n73=  else { 
n74=    if ( $gettok($read($mircdirfiles\nicks.ini, %currentnick),1,61) == nick ) {
n75=      did -a nickserv 7 $gettok($read(files\nicks.ini, %currentnick),2,61) | goto listing
n76=    }
n77=    else { goto listing }
n78=  }
n79=}
n80=
n81=readchans {
n82=  did -r chanserv 9,11,5
n83=  :listing
n84=  inc %currentchan 1 
n85=  if ( %currentchan > $lines($mircdirfiles\chans.ini) ) || ( $lines($mircdirfiles\chans.ini) == 0 ) { unset %currentchan | halt }
n86=  else {
n87=    if ( $gettok($read($mircdirfiles\chans.ini, %currentchan),1,61) == nick ) {
n88=      did -a chanserv 9 $gettok($read($mircdirfiles\chans.ini, %currentchan),2,61) 
n89=      did -a chanserv 5 $gettok($read($mircdirfiles\chans.ini, %currentchan),2,61)
n90=      goto listing 
n91=    }
n92=    else { goto listing }
n93=  }
n94=}
n95=readmemo { 
n96=  did -c memoserv 5,18
n97=}
n98=
n99=readprotect {
n100=  if ( %unban == on ) { did -c options 13 } 
n101=  if ( %csunban == on ) { did -c options 20 }
n102=  if ( %banrevenge == on ) { did -c options 25 | did -e options 32,34,46 }
n103=  if ( %banrevengeon == deop ) { did -c options 32 }
n104=  if ( %banrevengeon == kick ) { did -c options 34 }
n105=  if ( %banrevengeon == kban ) { did -c options 46 }
n106=  if ( %kickrejoin == on ) { did -c options 120 }
n107=  if ( %kickrevenge == on ) { did -c options 121 | did -e options 122,123,124 }
n108=  if ( %kickrevengeon == deop ) { did -c options 122 }
n109=  if ( %kickrevengeon == kick ) { did -c options 123 }
n110=  if ( %kickrevengeon == kban ) { did -c options 124 }
n111=  if ( %csop == on ) { did -c options 125 }
n112=  if ( %deoprevenge == on ) { did -c options 126 | did -e options 127,128,129 }
n113=  if ( %deoprevengeon == deop ) { did -c options 127 }
n114=  if ( %deoprevengeon == kick ) { did -c options 128 }
n115=  if ( %deoprevengeon == kban ) { did -c options 129 }
n116=  did -r options 130
n117=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Query),1,44)
n118=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Notice/Dcc),1,44)
n119=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, CTCP),1,44)
n120=  did -a options 130 $gettok($readini($mircdirfiles/options.ini, n, Flood Protect, Invite),1,44)
n121=  did -ra options 159 $readini($mircdirfiles/options.ini, n, Other, DisableProtect)
n122=}
n123=readflood {
n124=  did -ra options 133 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),2,44)
n125=  did -ra options 134 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),3,44)
n126=  did -ra options 137 $gettok($readini($mircdirfiles/options.ini, n, flood protect, $1),4,44)
n127=}
n128=
n129=readctcp {
n130=  did -r options 51,55,59,63
n131=  set %currentver 1
n132=  set %currentping 1
n133=  set %currenttime 1
n134=  set %currentfin 1
n135=  :list_ver
n136=  if ( %currentver > $lines($mircdirfiles\ctcpver.txt) ) { goto list_ping }
n137=  else { did -a options 51 $read($mircdirfiles\ctcpver.txt, %currentver) | inc %currentver 1 | goto list_ver }
n138=  :list_ping
n139=  if ( %currentping > $lines($mircdirfiles\ctcpping.txt) ) { goto list_time }
n140=  else { did -a options 59 $read($mircdirfiles\ctcpping.txt, %currentping) | inc %currentping 1 | goto list_ping }
n141=  :list_time
n142=  if ( %currenttime > $lines($mircdirfiles\ctcptime.txt) ) { goto list_fin }
n143=  else { did -a options 55 $read($mircdirfiles\ctcptime.txt, %currenttime) | inc %currenttime 1 | goto list_time }
n144=  :list_fin
n145=  if ( %currentfin > $lines($mircdirfiles\ctcpfin.txt) ) || ( $lines($mircdirfiles\ctcpfin.txt) == $null ) { unset %currentver | unset %currentping | unset %currenttime | unset %currentfin }
n146=  else { did -a options 63 $read($mircdirfiles\ctcpfin.txt, %currentfin) | inc %currentfin 1 | goto list_fin }
n147=}
n148=
n149=showctcp {
n150=  did -i options 51 0 $readini($mircdirfiles/options.ini, n, ctcp, Version) | did -i options 59 0 $readini($mircdirfiles/options.ini, n, ctcp, Ping)
n151=  did -i options 55 0 $readini($mircdirfiles/options.ini, n, ctcp, Time) | did -i options 63 0 $readini($mircdirfiles/options.ini, n, ctcp, Finger)
n152=  if ( %ctcpsilence == on ) { did -c options 66 | did -b options 51,52,53,60,61,59,56,55,57,64,65,63,147,148,149,150 }
n153=  if ( %version == off ) { did -c options 147 | did -b options 51,52,53 }
n154=  if ( %time == off ) { did -c options 148 | did -b options 55,56,57 }
n155=  if ( %finger == off ) { did -c options 149 | did -b options 63,64,65 }
n156=  if ( %ping == off ) { did -c options 150 | did -b options 59,60,61 }
n157=}
n158=
n159=readslaps {
n160=  did -r options 3
n161=  set %currentslap 1
n162=  :listing
n163=  if ( %currentslap > $lines($mircdirfiles\slaps.txt) ) { unset %currentslap }
n164=  else { did -a options 3 $read($mircdirfiles\slaps.txt, %currentslap) | inc %currentslap 1 | goto listing }
n165=}
n166=showslap { did -i options 3 0 %myslap
n167=  if ( %randomslap == on ) { did -b options 3 | did -c options 14 } 
n168=  if ( %tran-rus == on ) { did -c options 6 | did -b options 7 }
n169=  if ( %rus-tran == on ) { did -c options 7 | did -b options 6 }
n170=  if ( %scanonjoin == on ) { did -c options 42 }
n171=  if ( %clonescan == on ) { did -c options 45 | did -e options 47 }
n172=  if ( %clonescan == off ) { did -b options 47 }
n173=  if ( %banrequest == on ) { did -c options 47 }
n174=  if ( %winamp.plugin == on ) { did -c options 152 | did -ra options 157 $readini($mircdirfiles\options.ini,n,Other,Mp3Chans) }
n175=}
n176=readaway {
n177=  did -r options 18
n178=  set %currentaway 1
n179=  :listing
n180=  if ( %currentaway > $lines($mircdirfiles\away.txt) ) { unset %currentaway }
n181=  else { did -a options 18 $read($mircdirfiles\away.txt, %currentaway) | inc %currentaway 1 | goto listing }
n182=}
n183=
n184=
n185=showaway {
n186=  did -r options 28,30,35
n187=  if ( $readini($mircdirfiles/options.ini,n,away,nickvalue) != $null ) {
n188=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) { did -a options 30 $readini($mircdirfiles/options.ini,n,away,nickvalue) }
n189=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) { did -a options 28 $readini($mircdirfiles/options.ini,n,away,nickvalue) }
n190=  }
n191=  if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) { 
n192=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) { did -c options 26 | did -b options 28,30 }
n193=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) { did -c options 27 | did -b options 28 }
n194=    if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) { did -c options 29 | did -b options 30 }
n195=  }
n196=  if ( $readini($mircdirfiles/options.ini,n,away,action) != $null ) {
n197=    if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) { did -c options 160 }
n198=    if ( $readini($mircdirfiles/options.ini,n,away,action) == no ) { }
n199=  }
n200=  if ( $readini($mircdirfiles/options.ini,n,away,mode) == manual ) { did -c options 23 }
n201=  if ( $readini($mircdirfiles/options.ini,n,away,mode) == auto ) { 
n202=    did -e options 33,35,36 | did -c options 24 | did -i options 35 0 $readini($mircdirfiles/options.ini,n,away,idledelay)
n203=    set %autoawaytime 10
n204=    set %autoawaypos 30
n205=    :listtime
n206=    if ( %autoawaytime <= %autoawaypos ) {
n207=      did -a options 35 %autoawaytime | inc %autoawaytime 10 | goto listtime
n208=    }
n209=    else { unset %autoawaytime | unset %autoawaypos | did -a options 35 60 }
n210=  } 
n211=}
n212=
n213=manualaway {
n214=  if ( $dname(away) != on ) {
n215=    if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) {
n216=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) {
n217=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n218=          ame aWay.По причине $chr(187) $+($chr(164),,$read($mircdirfiles\away.txt,$1-),,$chr(164))
n219=          away $read($mircdirfiles\away.txt,$1-)
n220=          dialog -nm away away
n221=          set $+(%,away.time,$cid) $ctime
n222=        }
n223=        else { 
n224=          away 9 $+ $read($mircdirfiles\away.txt,$1-)
n225=          dialog -nm away away
n226=          set $+(%,away.time,$cid) $ctime
n227=        }
n228=      }
n229=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) {
n230=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n231=          ame aWay.По причине $chr(187) $+($chr(164),,$read($mircdirfiles\away.txt,$1-),,$chr(164))
n232=          away $read($mircdirfiles\away.txt,$1-)
n233=          dialog -nm away away
n234=          set $+(%,away.time,$cid) $ctime
n235=          set %mynormalnick $me
n236=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n237=        }
n238=        else {
n239=          away $read($mircdirfiles\away.txt,$1-)
n240=          dialog -nm away away
n241=          set $+(%,away.time,$cid) $ctime
n242=          set %mynormalnick $me
n243=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n244=
n245=        }
n246=      }
n247=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) {
n248=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n249=          ame is aWay.По причине $chr(187) $+($chr(164),,$read(files\away.txt,$1-),,$chr(164))
n250=          away $read(files\away.txt,$1-)
n251=          dialog -nm away away
n252=          set $+(%,away.time,$cid) $ctime
n253=          set %mynormalnick $me
n254=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n255=        }
n256=        else { 
n257=          away $read($mircdirfiles\away.txt,$1-)
n258=          dialog -nm away away
n259=          set $+(%,away.time,$cid) $ctime
n260=          set %mynormalnick $me
n261=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n262=        }
n263=      }
n264=    }
n265=  }
n266=}
n267=autoaway {
n268=  if ( $dname(away) != on ) {
n269=    if ( $readini($mircdirfiles/options.ini,n,away,nick) != $null ) {
n270=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == NoChange ) {
n271=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n272=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n273=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n274=          dialog -nm away away
n275=          set $+(%,away.time,$cid) $ctime
n276=        }
n277=        else { 
n278=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n279=          dialog -nm away away
n280=          set $+(%,away.time,$cid) $ctime
n281=        }
n282=      }
n283=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == full ) {
n284=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n285=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n286=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n287=          dialog -nm away away
n288=          set $+(%,away.time,$cid) $ctime
n289=          set %mynormalnick $me
n290=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n291=        }
n292=        else {
n293=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n294=          dialog -nm away away
n295=          set $+(%,away.time,$cid) $ctime
n296=          set %mynormalnick $me
n297=          nick $readini($mircdirfiles/options.ini,n,away,nickvalue)
n298=
n299=        }
n300=      }
n301=      if ( $readini($mircdirfiles/options.ini,n,away,nick) == add ) {
n302=        if ( $readini($mircdirfiles/options.ini,n,away,action) == yes ) {
n303=          ame Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n304=          away $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n305=          dialog -nm away away
n306=          set $+(%,away.time,$cid) $ctime
n307=          set %mynormalnick $me
n308=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n309=        }
n310=        else { 
n311=          away Auto away $chr(187) $readini($mircdirfiles/options.ini,n,away,idledelay) минут бездействия
n312=          dialog -nm away away
n313=          set $+(%,away.time,$cid) $ctime
n314=          set %mynormalnick $me
n315=          nick $me $+ $readini($mircdirfiles/options.ini,n,away,nickvalue)
n316=        }
n317=      }
n318=    }
n319=  }
n320=}
n321=showother {
n322=  did -ra options 70 %sayto
n323=  if ( %autojoin == on ) { did -e options 74 | did -c options 79 | did -ra options 74 %chanforjoin }
n324=  if ( %autogreet == on ) { did -e options 77 | did -c options 80 | did -ra options 77 %greet }
n325=  if ( %sayto-option == private ) { did -c options 155 }
n326=  if ( %sayto-option == nick ) { did -c options 156 }
n327=} 
n328=showmail {
n329=  if ( %checkmail1 == on ) { did -e options 85,87,89,140 | did -c options 113 }
n330=  if ( %checkmail2 == on ) { did -e options 91,93,95,142 | did -c options 114 }
n331=  if ( %checkmail3 == on ) { did -e options 100,102,104,144 | did -c options 115 }
n332=  if ( %checkmail4 == on ) { did -e options 106,108,110,146 | did -c options 116 }
n333=  if ( %mailname.1 != $null ) { did -ra options 140 %mailname.1 }
n334=  if ( %mailserver.1 != $null ) { did -ra options 85 %mailserver.1 }
n335=  if ( %maillogin.1 != $null ) { did -ra options 87 %maillogin.1 }
n336=  if ( %maillogin.1 != $null ) { did -ra options 89 %mailpassword.1 }
n337=  if ( %mailname.2 != $null ) { did -ra options 142 %mailname.2 }
n338=  if ( %mailserver.2 != $null ) { did -ra options 91 %mailserver.2 }
n339=  if ( %maillogin.2 != $null ) { did -ra options 93 %maillogin.2 }
n340=  if ( %maillogin.2 != $null ) { did -ra options 95 %mailpassword.2 }
n341=  if ( %mailname.3 != $null ) { did -ra options 144 %mailname.3 }
n342=  if ( %mailserver.3 != $null ) { did -ra options 100 %mailserver.3 }
n343=  if ( %maillogin.3 != $null ) { did -ra options 102 %maillogin.3 }
n344=  if ( %maillogin.3 != $null ) { did -ra options 104 %mailpassword.3 }
n345=  if ( %mailname.4 != $null ) { did -ra options 146 %mailname.4 }
n346=  if ( %mailserver.4 != $null ) { did -ra options 106 %mailserver.4 }
n347=  if ( %maillogin.4 != $null ) { did -ra options 108 %maillogin.4 }
n348=  if ( %mailpassword.4 != $null ) { did -ra options 110 %mailpassword.4 }
n349=  if ( %mail.check.delay != $null ) { did -ra options 118 $calc(%mail.check.delay / 60 ) }
n350=
n351=}
n352=readport {
n353=  if ( $address($1,2) == $null ) && ( $1 != $null ) { set %portcheck on | .userhost $1 | echo -a 3* Retrieving $1 info... }
n354=  else {
n355=    dialog -nm port port
n356=    if ( %scanlog == on ) { did -c port 12 }
n357=    did -a port 3 $gettok($address($1,2),2,64)
n358=  }
n359=}
n360=portcheck {
n361=  if ($dialog(port) == $null) { dialog -nm port port }
n362=  inc %currentport
n363=  :read
n364=  if ( %currentport > $lines(files\tmp.txt) ) { unset %currentport | return }
n365=  else { did -a port 3 $gettok($read(files\tmp.txt, %currentport),1,58) | did -a port 5 $gettok($read(files\tmp.txt, %currentport),2,58) | inc %currentport | goto read }
n366=}
n367=banrequest {
n368=  set %insclone 1
n369=  :insert
n370=  if ( %insclone > $numtok($1-,63) ) { unset %insclone }
n371=  else { 
n372=    if ( $gettok($1-,%insclone,63) != $chr(32) ) {
n373=      did -a ban 6 $gettok($1-,%insclone,63) | inc %insclone | goto insert
n374=    }
n375=    else { inc %insclone | goto insert }
n376=  }
n377=}
n378=mp3 {
n379=  set %current.song $remove($dll(amplink.dll,track,), - Winamp)
n380=  if ( %current.song == %lastsong ) || ( %current.song == $null ) { halt }
n381=  else { 
n382=    set %lastsong $remove($dll(amplink.dll,track,), - Winamp)
n383=    if ( $readini($mircdirfiles/options.ini,n,other,Mp3Chans) != $null ) && ( $status == connected ) { describe $readini($mircdirfiles/options.ini,n,other,Mp3Chans) слушает: $remove($dll(amplink.dll,track,), - Winamp)  $+([,$asctime($dll(amplink.dll,leng,a),nn:ss),/,$dll(amplink.dll,bit,a),Kbps,]) }
n384=  }
n385=}
n386=smart_whois { 
n387=  if ( $address($1,2) == $null ) { .userhost $1 }
n388=  else { 
n389=    if ( $gettok($gettok($address($1,2),2,64),4,46) isnum 0-255 ) && ( $numtok($gettok($address($1,2),2,64),46) == 4 ) { 
n390=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 60 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 61 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 218 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 219 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 220 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 221 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n391=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 222 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n392=
n393=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 62 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 80 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 81 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 82 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 193 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 194 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 195 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 212 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt } 
n394=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 213 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 217 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n395=
n396=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 63 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 64 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 65 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 66 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 67 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 68 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 69 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 199 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | halt } 
n397=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 204 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 205 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 206 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 207 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 208 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 209 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 216 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.arin.net whois.arin.net 43 | halt }
n398=
n399=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 200 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 201 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | halt }
n400=      if ( $gettok($gettok($address($1,2),2,64),1,46) == 202 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 203 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 210 ) || ( $gettok($gettok($address($1,2),2,64),1,46) == 211 ) { sockopen whois $+ ? $+ $gettok($address($1,2),2,64) $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n401=      else { echo -a ***IP  $+ $address($1,2),2,64) $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | halt }
n402=
n403=    }
n404=    else { dns $gettok($address($1,2),2,64) }
n405=  }
n406=}
n407=
n408=ip_whois { 
n409=  if ( $gettok($1,4,46) isnum 0-255 ) && ( $numtok($1,46) == 4 ) { 
n410=    if ( $gettok($1,1,46) == 60 ) || ( $gettok($1,1,46) == 61 ) || ( $gettok($1,1,46) == 218 ) || ( $gettok($1,1,46) == 219 ) || ( $gettok($1,1,46) == 220 ) || ( $gettok($1,1,46) == 221 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n411=    if ( $gettok($1,1,46) == 222 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n412=
n413=    if ( $gettok($1,1,46) == 62 ) || ( $gettok($1,1,46) == 80 ) || ( $gettok($1,1,46) == 81 ) || ( $gettok($1,1,46) == 82 ) || ( $gettok($1,1,46) == 193 ) || ( $gettok($1,1,46) == 194 ) || ( $gettok($1,1,46) == 195 ) || ( $gettok($1,1,46) == 212 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt } 
n414=    if ( $gettok($1,1,46) == 213 ) || ( $gettok($1,1,46) == 217 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.ripe.net whois.ripe.net 43 | halt }
n415=
n416=    if ( $gettok($1,1,46) == 63 ) || ( $gettok($1,1,46) == 64 ) || ( $gettok($1,1,46) == 65 ) || ( $gettok($1,1,46) == 66 ) || ( $gettok($1,1,46) == 67 ) || ( $gettok($1,1,46) == 68 ) || ( $gettok($1,1,46) == 69 ) || ( $gettok($1,1,46) == 199 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.arin.net whois.arin.net 43 | halt } 
n417=    if ( $gettok($1,1,46) == 204 ) || ( $gettok($1,1,46) == 205 ) || ( $gettok($1,1,46) == 206 ) || ( $gettok($1,1,46) == 207 ) || ( $gettok($1,1,46) == 208 ) || ( $gettok($1,1,46) == 209 ) || ( $gettok($1,1,46) == 216 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.arin.net whois.arin.net 43 | halt }
n418=
n419=    if ( $gettok($1,1,46) == 200 ) || ( $gettok($1,1,46) == 201 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.lacnic.net whois.lacnic.net 43 | halt }
n420=    if ( $gettok($1,1,46) == 202 ) || ( $gettok($1,1,46) == 203 ) || ( $gettok($1,1,46) == 210 ) || ( $gettok($1,1,46) == 211 ) { sockopen whois $+ ? $+ $1 $+ ? $+ whois.apnic.net whois.apnic.net 43 | halt }
n421=    else { echo -a ***IP  $+ $1 $+  can't be whoised, see link for more information http://www.iana.org/assignments/ipv4-address-space | set %whois off | halt }
n422=
n423=  }
n424=  else { dns $1 | set %whois on }
n425=}
n426=
n427=checkmail { 
n428=  if ( %mailserver. [ $+ [ $1 ] ] != $null ) && ( %maillogin. [ $+ [ $1 ] ] != $null ) && ( %mailpassword. [ $+ [ $1 ] ] != $null ) && ( %mailname. [ $+ [ $1 ] ] != $null ) { sockopen checkmail. $+ $1 %mailserver. [ $+ [ $1 ] ] 110 }
n429=  else { Echo -a ***Указаны не все параметры для проверки почты }
n430=}
n431=
n432=chgmode {
n433=  set %first -3
n434=  :mode1
n435=  inc %curcle
n436=  inc %first 4 | inc %second 4
n437=  if ( %curcle > $calc($int($calc($snick($chan,0) / 4 )) + 1) ) { unset %first | unset %curcle | unset %first | unset %second | goto next }
n438=  else { mode $chan $$1 $replace($gettok($snick($chan),%first $+ - $+ %second,44),$chr(44),$chr(32)) | goto mode1 }
n439=  :next 
n440=  set %first -3
n441=  :mode2
n442=  if ( $2 != $null ) {
n443=    inc %curcle
n444=    inc %first 4 | inc %second 4
n445=    if ( %curcle > $calc($int($calc($snick($chan,0) / 4 )) + 1) ) { unset %first | unset %curcle | unset %first | unset %second | halt }
n446=    else { mode $chan $$2 $replace($gettok($snick($chan),%first $+ - $+ %second,44),$chr(44),$chr(32)) | goto mode2 }
n447=  }
n448=  else { unset %first | unset %curcle | unset %first | unset %second | halt }
n449=}
n450=
n451=doignore {
n452=  if ( $address($2,2) == *!*@chat.K22 Team.ru ) || ( $address($1,2) == *!*@linkin-park.ru ) { set %mask $address($2,1) | .ignore $1 $2 1 | goto notify }
n453=  else { set %mask $address($2,2) | .ignore $1 $2 2 | goto notify }
n454=  :notify
n455=  if ( $1 == -p ) { echo -a 4***Вы игнорируете приватные сообщения от  $+ %mask | unset %mask | halt }
n456=  if ( $1 == -n ) { echo -a 4***Вы игнорируете нотисы от  $+ %mask | unset %mask | halt }
n457=  if ( $1 == -t ) { echo -a 4***Вы игнорируете CTCP сообщения от  $+ %mask | unset %mask | halt }
n458=  if ( $1 == -i ) { echo -a 4***Вы игнорируете INVITE сообщения от  $+ %mask | unset %mask | halt }
n459=  if ( $1 == -k ) { echo -a 4***Вы игнорируете цвета от  $+ %mask | unset %mask | halt }
n460=  if ( $1 == -d ) { echo -a 4***Вы игнорируете DCC запросы от  $+ %mask | unset %mask | halt }
n461=}
n462=saveprotect {
n463=  .writeini $mircdirfiles/options.ini "flood protect" $1 $1 Flood, $+ $did(133) $+ , $+ $did(134) $+ , $+ $did(137)
n464=}
n465=uptimecheck {
n466=  if ( $uptime(system,3) > %max.uptime ) { set %max.uptime $uptime(system,3) }
n467=}
n468=telnet {
n469=  if ( $1 == $null ) { echo -a ***Укажите хост и порт(по умолчанию 23) }
n470=  window -aek0 @Telnet
n471=  sockopen telnet $$1 $iif($2,$2,23)
n472=  echo @Telnet Попытка соеденения с $1 $2
n473=}
n474=}
